I am unable to activate Pro Sites I have newly installed

I am unable to activate Pro Sites

I have newly installed the plugin and attempted to activate it.
I get the following error:
When activating plugin I get "Parse error: syntax error, unexpected T_PAAMAYIM_NEKUDOTAYIM in public_html/wp-content/plugins/pro-sites/pro-sites-files/lib/ProSites/Module/Taxamo/lib/Taxamo/Swagger.php on line 185"

I have the following versions
PHP 5.2.17
MySQL 5.1.50-community
WordPress 4.2.4
Pro Sites 3.5.1

  • Tyler Postle

    Hey Douglas,

    Hope you're doing well today!

    This is happening because you're still on PHP 5.2. If you upgrade to 5.3+ then it will work as expected :slight_smile:

    You should be able to upgrade the version from your hosting panel under "php configuration". If you're unsure where that is then it may be easiest to ask your host - they will be able to upgrade it very easily from their end.

    I'm going to flag this for our developer as well since we do want our plugins to be compatible with 5.2 given it's the minimum requirement WP recommends; however, it is a VERY good idea to upgrade past 5.2 as staying on such an old version will be a security concern for your site.

    Hope that helps! If you have any further questions just let us know.

    All the best,
    Tyler

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.